Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jinfonet.web.modules.dashboard
Class CatalogInfo

    java.lang.Object
      com.jinfonet.web.modules.dashboard.CatalogInfo

    public class CatalogInfo

extends java.lang.Object

This class is to define catalog information for JDashboard call-back functions.

Constructor Summary
`CatalogInfo()` Create a new `CatalogInfo` instance.
`CatalogInfo(java.lang.String catalogPath, java.lang.String catalogName, java.lang.String dsName, java.lang.String queryName, java.lang.String bvName)` Create a new `CatalogInfo` instance.

Method Summary
`java.lang.String` | `getBvName()` Return business view name.
`java.lang.String` | `getCatalogName()` Return catalog name.
`java.lang.String` | `getCatalogPath()` Return catalog path.
`java.lang.String` | `getDsName()` Return data source name.
`java.lang.String` | `getQueryName()` Return the query name.
`void` | `setBvName(java.lang.String bvName)` Set business view name.
`void` | `setCatalogName(java.lang.String catalogName)` Set catalog name.
`void` | `setCatalogPath(java.lang.String catalogPath)` Set catalog path.
`void` | `setDsName(java.lang.String dsName)` Set data source name.
`void` | `setQueryName(java.lang.String queryName)` Set query name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CatalogInfo

    public CatalogInfo()

  Create a new `CatalogInfo` instance.

### CatalogInfo

    public CatalogInfo(java.lang.String catalogPath,
                       java.lang.String catalogName,
                       java.lang.String dsName,
                       java.lang.String queryName,
                       java.lang.String bvName)

  Create a new `CatalogInfo` instance.

  Parameters:
    `catalogPath` - the catalog path of the catalogInfo.
    `catalogName` - the catalog name of the catalogInfo.
    `dsName` - the data source name of the catalogInfo.
    `bvName` - the business view name of the catalogInfo.

Method Detail

### getCatalogPath

    public java.lang.String getCatalogPath()

  Return catalog path.

  Returns:
    catalog path.

### setCatalogPath

    public void setCatalogPath(java.lang.String catalogPath)

  Set catalog path.

  Parameters:
    `catalogPath` - the catalog path of the catalogInfo.

### getCatalogName

    public java.lang.String getCatalogName()

  Return catalog name.

  Returns:
    catalog name.

### setCatalogName

    public void setCatalogName(java.lang.String catalogName)

  Set catalog name.

  Parameters:
    `catalogName` - the catalog name of the catalogInfo.

### getDsName

    public java.lang.String getDsName()

  Return data source name.

  Returns:
    data source name.

### setDsName

    public void setDsName(java.lang.String dsName)

  Set data source name.

  Parameters:
    `dsName` - the data source name of the catalogInfo.

### getQueryName

    public java.lang.String getQueryName()

  Return the query name.

  Returns:
    query name.

### setQueryName

    public void setQueryName(java.lang.String queryName)

  Set query name.

  Parameters:
    `queryName` - the query name of the catalogInfo.

### getBvName

    public java.lang.String getBvName()

  Return business view name.

  Returns:
    business view name.

### setBvName

    public void setBvName(java.lang.String bvName)

  Set business view name.

  Parameters:
    `bvName` - the business view name of the catalogInfo.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD